Package: groovy.swing.impl

## [Java] Class TableLayout

- groovy.swing.impl.TableLayout

- Represents a HTML style table layout

- - Inherited fields
    Fields inherited from class | Fields
    --- | ---
    `class JPanel` | `WHEN_FOCUSED, WHEN_ANCESTOR_OF_FOCUSED_COMPONENT, WHEN_IN_FOCUSED_WINDOW, UNDEFINED_CONDITION, TOOL_TIP_TEXT_KEY, TOP_ALIGNMENT, CENTER_ALIGNMENT, BOTTOM_ALIGNMENT, LEFT_ALIGNMENT, RIGHT_ALIGNMENT, WIDTH, HEIGHT, PROPERTIES, SOMEBITS, FRAMEBITS, ALLBITS, ERROR, ABORT`

  - ### Properties Summary

    Properties
    Type | Name and description
    --- | ---
    `int` | `cellpadding`

  - ### Constructor Summary

    Constructors
    Constructor and description
    `TableLayout ()`

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `void` | `addCell(TableLayoutCell cell)` Adds a new cell to the current grid
    `` | `int` | `getCellpadding()`
    `` | `int` | `nextRowIndex()` Creates a new row index for child tr tags
    `` | `void` | `setCellpadding(int cellpadding)`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class JPanel` | `setUI, updateUI, getUIClassID, getUI, getUI, getAccessibleContext, update, contains, getLocation, print, getSize, setOpaque, isOpaque, getBounds, setEnabled, disable, enable, revalidate, paint, printAll, isPaintingTile, isPaintingForPrint, isManagingFocus, setNextFocusableComponent, getNextFocusableComponent, setRequestFocusEnabled, isRequestFocusEnabled, requestFocus, requestFocus, requestFocusInWindow, grabFocus, setVerifyInputWhenFocusTarget, getVerifyInputWhenFocusTarget, getFontMetrics, setPreferredSize, getPreferredSize, setMaximumSize, getMaximumSize, setMinimumSize, getMinimumSize, setBorder, getBorder, getInsets, getInsets, getAlignmentY, setAlignmentY, getAlignmentX, setAlignmentX, setInputVerifier, getInputVerifier, getGraphics, setDebugGraphicsOptions, getDebugGraphicsOptions, registerKeyboardAction, registerKeyboardAction, unregisterKeyboardAction, getRegisteredKeyStrokes, getConditionForKeyStroke, getActionForKeyStroke, resetKeyboardActions, setInputMap, getInputMap, getInputMap, setActionMap, getActionMap, getBaseline, getBaselineResizeBehavior, requestDefaultFocus, setVisible, setForeground, setBackground, setFont, getDefaultLocale, setDefaultLocale, setToolTipText, getToolTipText, getToolTipText, getToolTipLocation, getPopupLocation, createToolTip, scrollRectToVisible, setAutoscrolls, getAutoscrolls, setTransferHandler, getTransferHandler, putClientProperty, setFocusTraversalKeys, isLightweightComponent, reshape, getX, getY, getWidth, getHeight, computeVisibleRect, getVisibleRect, addVetoableChangeListener, removeVetoableChangeListener, getVetoableChangeListeners, getTopLevelAncestor, removeAncestorListener, getAncestorListeners, addNotify, removeNotify, repaint, repaint, isValidateRoot, isOptimizedDrawingEnabled, paintImmediately, paintImmediately, setDoubleBuffered, isDoubleBuffered, getRootPane, hide, addAncestorListener, firePropertyChange, firePropertyChange, firePropertyChange, getListeners, getClientProperty, setInheritsPopupMenu, getInheritsPopupMenu, setComponentPopupMenu, getComponentPopupMenu, add, add, add, add, add, remove, remove, list, list, validate, removeAll, locate, invalidate, addPropertyChangeListener, addPropertyChangeListener, layout, getComponents, getLayout, getComponent, getComponentAt, getComponentAt, getComponentCount, preferredSize, minimumSize, insets, isFocusCycleRoot, isFocusCycleRoot, getFocusTraversalPolicy, setFocusTraversalPolicy, countComponents, setComponentZOrder, getComponentZOrder, setLayout, doLayout, paintComponents, printComponents, addContainerListener, removeContainerListener, getContainerListeners, deliverEvent, getMousePosition, findComponentAt, findComponentAt, isAncestorOf, getFocusTraversalKeys, areFocusTraversalKeysSet, isFocusTraversalPolicySet, setFocusCycleRoot, setFocusTraversalPolicyProvider, isFocusTraversalPolicyProvider, transferFocusDownCycle, applyComponentOrientation, add, remove, toString, getName, contains, list, list, list, size, getParent, getLocation, setName, action, location, getSize, resize, resize, setSize, setSize, bounds, getBounds, setLocale, move, isValid, getLocale, isEnabled, enable, setLocation, setLocation, requestFocus, requestFocusInWindow, repaint, repaint, repaint, nextFocus, getForeground, getFont, getTreeLock, isVisible, getFocusCycleRootAncestor, isDisplayable, isPreferredSizeSet, isMaximumSizeSet, isMinimumSizeSet, getBackground, isLightweight, setBounds, setBounds, getPropertyChangeListeners, getPropertyChangeListeners, isShowing, getMousePosition, getGraphicsConfiguration, dispatchEvent, isFocusable, isFocusOwner, transferFocus, handleEvent, postEvent, transferFocusBackward, setDropTarget, getDropTarget, getToolkit, enableInputMethods, show, show, isForegroundSet, isBackgroundSet, isFontSet, getColorModel, getLocationOnScreen, setCursor, getCursor, isCursorSet, paintAll, imageUpdate, createImage, createImage, createVolatileImage, createVolatileImage, prepareImage, prepareImage, checkImage, checkImage, setIgnoreRepaint, getIgnoreRepaint, inside, addComponentListener, removeComponentListener, getComponentListeners, addFocusListener, removeFocusListener, getFocusListeners, addHierarchyListener, removeHierarchyListener, getHierarchyListeners, addHierarchyBoundsListener, removeHierarchyBoundsListener, getHierarchyBoundsListeners, addKeyListener, removeKeyListener, getKeyListeners, addMouseListener, removeMouseListener, getMouseListeners, addMouseMotionListener, removeMouseMotionListener, getMouseMotionListeners, addMouseWheelListener, removeMouseWheelListener, getMouseWheelListeners, addInputMethodListener, removeInputMethodListener, getInputMethodListeners, getInputMethodRequests, getInputContext, mouseDown, mouseDrag, mouseUp, mouseMove, mouseEnter, mouseExit, keyDown, keyUp, gotFocus, lostFocus, isFocusTraversable, setFocusable, setFocusTraversalKeysEnabled, getFocusTraversalKeysEnabled, transferFocusUpCycle, hasFocus, setComponentOrientation, getComponentOrientation, setMixingCutoutShape, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, removePropertyChangeListener, removePropertyChangeListener, wait, wait, wait, equals, hashCode, getClass, notify, notifyAll`

- - ### Property Detail

    - #### int cellpadding

  - ### Constructor Detail

    - #### public TableLayout()

  - ### Method Detail

    - #### public void addCell(TableLayoutCell cell)

      Adds a new cell to the current grid

      Parameters:
        `cell` - the td component

    - #### public int getCellpadding()

    - #### public int nextRowIndex()

      Creates a new row index for child tr tags

      Returns:
        nextRowIndex the row number

    - #### public void setCellpadding(int cellpadding)